--[[
	Zombie Revenge Script
	Made by MC_Bowlinghead!
	Problems? Write message at -> USGN 51028(MC_Bowlinghead)
	English or German only! (NEVER use Translator!)
]]--

parse("mp_wpndmg p228 0")

function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end

zmb_class=initArray(32)
sur_class=initArray(32)

-- Serveraction 
addhook("serveraction","serveraction_zmb")
function serveraction_zmb(id,b)
	if b==1 then
		if player(id,"team")==1 then
			menu(id,"Zombies!@b,Standard|AK-47 with Kevlar,Deffense|Shield with Machete,Offense|Speed with XM1014,Heavy|Armor with MG,Spy|Stealth with Claw,Healer|Heal friends,Enginner|Wrench with Deagle")
		elseif player(id,"team")==2 then
			menu(id,"Survivor!@b,Standard|M4A1 with Kevlar,Deffense|Shield with Machete and Snowballs,Offense|Speed with M3,Heavy|Armor with MG and RPG,Spy|Stealth with Machete,Healer|Heal friends,Enginner|Wrench with XM1014")
		end
	end
end

-- The Menu
addhook("menu","menu_zmb")
function menu_zmb(id,t,button)
	if t=="Survivor!" then
		if button>0 and button<8 then
			sur_class[id]=button
			if player(id,"health")>0 then
				parse("killplayer "..id)
			end
		end

	elseif t=="Zombies!" then
		if button>0 and button<8 then	
			zmb_class[id]=button
			if player(id,"health")>0 then
				parse("killplayer "..id)
			end
		end
	end
end 

-- Spawn
addhook("spawn","spawn_zmb")
function spawn_zmb(id)

-- Standard -- HUMANS --
	if sur_class[id]==1 then
		parse ("setarmor "..id.." 20")
		return "32,51";
	end
-- Deffense
	if sur_class[id]==2 then
		parse ("setmaxhealth "..id.." 125")
		parse ("setarmor "..id.." 200")
		parse ("speedmod "..id.." -5")
		return "69,41,75";
	end
-- Offense
	if sur_class[id]==3 then
		parse ("setmaxhealth "..id.." 120")
		parse ("setarmor "..id.." 50")
		parse ("speedmod "..id.." 2")
		return "10";
	end
-- Heavy
	if sur_class[id]==4 then
		parse ("setmaxhealth "..id.." 150")
		parse ("setarmor "..id.." 200")
		parse ("speedmod "..id.." -6")
		return "40,47";
	end
-- Spy
	if sur_class[id]==5 then
		parse ("setmaxhealth "..id.." 50")
		parse ("speedmod "..id.." 1")
		return "69,77,84";
	end
-- Healer
	if sur_class[id]==6 then
		parse ("setmaxhealth "..id.." 150")
		parse ("setarmor "..id.." 100")
		return "4";
	end	
-- Ingeener
	if sur_class[id]==7 then
		parse ("setmaxhealth "..id.." 102")
		parse ("speedmod "..id.." 1")
		return "74,11";
	end
-- Standard -- ZOMBIES --
	if zmb_class[id]==1 then
		parse ("setarmor "..id.." 20")
		return "30";
	end
-- Deffense
	if zmb_class[id]==2 then
		parse ("setmaxhealth "..id.." 125")
		parse ("setarmor "..id.." 200")
		parse ("speedmod "..id.." -5")
		return "69,41,75";
	end
-- Offense
	if zmb_class[id]==3 then
		parse ("setmaxhealth "..id.." 120")
		parse ("setarmor "..id.." 50")
		parse ("speedmod "..id.." 2")
		return "11";
	end
-- Heavy
	if zmb_class[id]==4 then
		parse ("setmaxhealth "..id.." 125")
		parse ("setarmor "..id.." 200")
		parse ("speedmod "..id.." -10")
		return "40,39";
	end
-- Spy
	if zmb_class[id]==5 then
		parse ("setmaxhealth "..id.." 50")
		parse ("speedmod "..id.." 1")
		return "69,77,84";
	end
-- Healer
	if zmb_class[id]==6 then
		parse ("setmaxhealth "..id.." 129")
		parse ("setarmor "..id.." 75")
		return "4";
	end
-- Ingeener
	if zmb_class[id]==7 then
		parse ("setarmor "..id.." 10")
		return "74,3";
	end
end

-- Heal for the healer
addhook("second","second_zmb")
function second_zmb()
	if zmb_class[id]==6 or sur_class[id]==6 then
		for _, id in ipairs(player(0,"tableliving")) do
			parse("sethealth "..id.." "..player(id,"health")+5)
		end
	end
end
-- Heal if healer shot
addhook("hit","hit_zmb")
function hit_zmb(id,s,w)
	if w==4 then
		if player(s,"team")==player(id,"team") then
			parse("sethealth "..id.." "..player(id,"health") + 10)
			msg2(id,"255010010You get +10 HP from the Healer!")
		elseif player(s,"team")~=player(id,"team") then
			parse("sethealth "..id.." "..player(id,"health") + 10)
			msg2(id,"You get +10 HP from the enemy Healer!")
		end
	end
end

-- Exploding Snowballs
addhook("projectile","projectile_zmb")
function projectile_zmb(id,w,x,y)
	if w==75 then
		parse("explosion "..x.." "..y.." ".."50".." ".."33".." "..id)
	end
end

-- If Zombie kills
addhook("kill","kill_zmb")
function kill_zmb(id,vic)
	if player(id,"team")==1 then
	msg("255010010"..player(id,"name").." (Zombie) killed "..player(vic,"name").." (Human)!")
	end
end

-- Minute Info
addhook("minute","minute_zmb")
function minute_zmb()
	msg("255255255|| Zombie Revenge Mod ||")
	msg("000144024Press F2 to open your Menu!")
	msg("005123201Made by MC_Bowlinghead :D")
end

-- Dont collect your weapons!
addhook("walkover","walkover_zmb")
function walkover_zmb(id,iid,type)
	if (type>=61 and type<=68) then
		return 0
	end
	return 1
end

-- Dont drop!
addhook("drop","drop_zmb")
function drop_zmb()
	return 1
end

-- Dont drop if you are dead
addhook("die","die_zmb")
function die_zmb()
	return 1
end